%global github_owner   smarty-php
%global github_name    smarty
%global github_version 2.6.31
%global github_commit  4ab9757b492f08a38f68123a6e7c1df7110bbc49

%global composer_vendor  smarty
%global composer_project smarty

# "php": ">=5.2"
%global php_min_ver 5.2

%{!?phpdir:  %global phpdir  %{_datadir}/php}

Name:          php-Smarty2
Summary:       Smarty - the compiling PHP template engine
Version:       %{github_version}
Release:       2%{?dist}

Group:         Development/Libraries
License:       LGPLv3
URL:           http://www.smarty.net
Source0:       https://github.com/%{github_owner}/%{github_name}/archive/%{github_commit}/%{name}-%{github_version}-%{github_commit}.tar.gz

BuildArch:     noarch
# composer.json
BuildRequires: php(language) >= %{php_min_ver}
# Autoloader
BuildRequires: php-fedora-autoloader-devel

Requires:      php(language) >= %{php_min_ver}
# phpcompatinfo (computed from version 2.6.31)
Requires:      php-date
Requires:      php-pcre
Requires:      php-tokenizer

Provides:      php-%{github_name}2 = %{version}-%{release}
# php-{COMPOSER_VENDOR}-{COMPOSER_PROJECT}
Provides:      php-%{composer_vendor}-%{composer_project} = %{version}-%{release}
# Composer
Provides:      php-composer(%{composer_vendor}/%{composer_project}) = %{version}

%description
Smarty is a template engine for PHP, facilitating the separation of
presentation (HTML/CSS) from application logic. This implies that PHP
code is application logic, and is separated from the presentation.


%prep
%setup -qn %{github_name}-%{github_commit}


%build
: Create autoloader
phpab -t fedora -o libs/autoload.php libs


%install
mkdir -p %{buildroot}%{phpdir}
cp -rp libs %{buildroot}%{phpdir}/Smarty2


%check
: Check autoloader
php -r '
require "%{buildroot}%{phpdir}/Smarty2/autoload.php";
exit (class_exists("Smarty") ? 0 : 1);
'


%files
%{!?_licensedir:%global license %%doc}
%license COPYING.lib
%doc ChangeLog
%doc composer.json
%doc FAQ
%doc README.md
%{phpdir}/Smarty2


%changelog
* Sat Oct 27 2018 Shawn Iwinski <shawn@iwin.ski> - 2.6.31-2
- Add composer provides

* Sat Oct 27 2018 Shawn Iwinski <shawn@iwin.ski> - 2.6.31-1
- Update to 2.6.31
- Update license from LGPLv2+ to LGPLv3
- Full spec update
- Remove broken demo files
- Add autoloader
- Move license file from docs directory to shared licenses directory

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.27-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.27-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.27-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.27-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.27-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.27-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.27-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 21 2013 Jon Ciesla <limburgher@gmail.com> - 2.6.27-1
- Initial package based on php-Smarty 3.1.13-1
